# $Revision: 1.87 $, $Date: 2010/04/06 23:49:52 $
Summary:	Browser program for the File Transfer Protocol
Summary(de.UTF-8):	NcFTP - ein Textmodus FTP-Client
Summary(es.UTF-8):	Cliente FTP con una interface agradable
Summary(pl.UTF-8):	Zaawansowany klient FTP
Summary(pt_BR.UTF-8):	Cliente FTP com uma interface agradável
Name:		ncftp
Version:	3.2.3
Release:	1
Epoch:		2
License:	The Clarified Artistic License
Group:		Applications/Networking
Source0:	ftp://ftp.ncftp.com/ncftp/%{name}-%{version}-src.tar.bz2
# Source0-md5:	fac4aa169e1734e8d9617afd4a9b51e5
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	ncftpbookmarks.1
Source4:	ftp://ftp.kame.net/pub/kame/misc/ncftp-323-v6-20091109.diff.gz
# Source4-md5:	9120dcbb0fceacb5174d01024b0ba5a5
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-shared.patch
Patch2:		%{name}-ac25x.patch
Patch3:		%{name}-home_etc.patch
URL:		http://www.ncftp.com/
BuildRequires:	autoconf >= 2.53
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	readline-devel >= 4.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NcFTP is a FTP client with many advantages over the standard one. It
includes command line editing, command histories, support for
recursive gets, automatic logins, background downloading and much
more. This version supports IPv6, too.

%description -l es.UTF-8
ncftp es un cliente FTP con varias ventajas sobre el padrón. Incluye
edición por línea de comando, histórico de comandos, logins
automáticos, y mucho más.

%description -l pl.UTF-8
NcFTP jest zaawansowanym klientem FTP. Pozwala na edycję linii poleceń,
zapamiętuje polecenia, potrafi pobierać całe katalogi wraz z
podkatalogami z serwerów FTP, automatycznie logować się itp. Ta wersja
dodatkowo wspiera IPv6.

%description -l pt_BR.UTF-8
ncftp é um cliente FTP com várias vantagens sobre o padrão. Ele inclui
edição por linha de comando, histórico de comandos, logins
automáticos, e muito mais.

%prep
%setup -q
gunzip -c %{SOURCE4} | patch -p1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure2_13 \
	--enable-ncurses \
	--enable-ipv6

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_pixmapsdir},%{_mandir},%{_desktopdir},/var/spool/%{name}}

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	mandir=$RPM_BUILD_ROOT%{_mandir}

%{__make} -C libncftp soinstall \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_mandir}/man1

# devel not used by anything
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libncftp.so
%{__rm} $RPM_BUILD_ROOT%{_includedir}/ncftp*.h

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.txt README.v6 doc/{CHANGELOG,FIREWALLS_AND_PROXIES,LICENSE,READLINE,what_*}.txt
%attr(755,root,root) %{_bindir}/ncftp*
%attr(755,root,root) %{_libdir}/libncftp.so.*
%dir /var/spool/%{name}
%{_mandir}/man1/ncftp*.1*
%{_desktopdir}/ncftp.desktop
%{_pixmapsdir}/ncftp.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ncftp.spec,v $
Revision 1.87  2010/04/06 23:49:52  shadzik
- rel 1

Revision 1.86  2010/04/06 23:46:18  shadzik
- try to fix %build

Revision 1.85  2010/04/06 22:24:18  draenog
- substitute config.sub

Revision 1.84  2010/04/06 21:24:40  draenog
- up to 3.2.3
- move patch from the KAME project to distfiles
- adapterized

Revision 1.83  2009/05/15 17:43:36  hawk
- updated md5 (silent bugfix release with same version)

Revision 1.82  2008/08/27 19:05:27  qboosh
- updated to 3.2.2
- updated DESTDIR,v6 patches
- libdir patches merged into DESTDIR

Revision 1.81  2008/02/10 18:44:04  blues
- directory for spooler added. What are the proper rights?

Revision 1.80  2007/08/22 16:02:14  qboosh
- updated to 3.2.1
- updated v6 patch from KAME
- updated ac25x patch

Revision 1.79  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.78  2007/02/12 00:49:12  baggins
- converted to UTF-8

Revision 1.77  2006/08/25 17:58:58  qboosh
- updated to 3.2.0, updated shared and v6 patches

Revision 1.76  2005/06/11 00:51:13  romke
- HOME_ETC support added,
- release 4, STBR

Revision 1.75  2005/04/21 06:51:12  hawk
- updated kame ipv6 patch to official one for 3.1.9

Revision 1.74  2005/04/18 20:09:45  qboosh
- removed URL from modified v6 patch

Revision 1.73  2005/04/18 07:57:58  hawk
- updated to 3.1.9
- updated shared.patch
- quick update of ncftp-3181-v6-20040826.diff

Revision 1.72  2004/12/11 22:03:41  hawk
- doh, forgot to remove lib-makefile patch, its already in sources

Revision 1.71  2004/12/11 22:00:52  hawk
- new source md5, official sources has been updated but version number
  hasn't changed (except to 3.1.8.1 in changelog)
- updated IPv6 patch
- release 3, STBR

Revision 1.70  2004/10/28 19:31:19  qboosh
- s/ftp/FTP/, pl fix

Revision 1.69  2004/07/21 19:58:15  qboosh
- removed outdated comment

Revision 1.68  2004/07/21 19:15:20  hawk
- updated to 3.1.8
- removed sa_len.patch, already included in IPv6 patch
- added patch to fix libncftp makefile error

Revision 1.67  2004/07/03 22:15:28  havner
- applnk -> vfolders

Revision 1.66  2004/02/03 23:44:00  undefine
- small patch to allow build on systems with /usr/lib64

Revision 1.65  2004/01/08 21:07:34  qboosh
- updated to 3.1.7
- replaced ipv6 patch by new KAME version, readded sa_len fix

Revision 1.64  2003/09/06 21:02:57  qboosh
- removed obsolete sa_len patch and defines from spec

Revision 1.63  2003/08/28 21:12:24  blues
- standarized

Revision 1.62  2003/08/28 15:06:06  qboosh
- 3.1.6, updated DESTDIR,ipv6,ac25x patches
- shame, there was no 3.1.5 release for Ra - so this will fix CAN-2002-1345, BTS#658

Revision 1.61  2003/05/28 12:59:50  malekith
- massive attack: source-md5

Revision 1.60  2003/05/25 05:51:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.59  2003/03/30 21:25:37  qboosh
- updated to 3.1.5
- updated v6 patch from kame
- updated DESTDIR,shared,ac25x patches, removed obsolete gcc31 patch

Revision 1.58  2002/11/27 22:06:23  juandon
- new %%doc

Revision 1.57  2002/05/21 23:14:13  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.56  2002/05/08 16:05:54  qboosh
- added ac25x patch needed for ac 2.53

Revision 1.55  2002/05/06 23:36:26  ankry
- added ncftpbookmarks.1 man page from Debian
- release 5

Revision 1.54  2002/02/24 17:08:26  zytek
- added icon founded by google :)
- release 4, STB

Revision 1.53  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.52  2002/01/18 02:14:00  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.51  2001/12/20 18:33:49  undefine
- working(!) ipv6 patch from ftp.kame.net
- release 3

Revision 1.50  2001/11/19 01:16:25  kloczek
- typo.

Revision 1.49  2001/11/19 01:15:36  kloczek
- release 2,
- merge gcc31 patch from RH,
- merge de translation (from RH spec).

Revision 1.48  2001/11/08 09:50:16  kloczek
- merge translations from CNV.

Revision 1.47  2001/11/08 09:37:58  mkierus
- updated to 3.0.4

Revision 1.46  2001/06/19 16:14:37  qboosh
- updated v6 patch (not tested)

Revision 1.45  2001/06/03 00:37:05  blues
- oops - revert change

Revision 1.44  2001/06/03 00:35:14  blues
- release 2
- added part of patch wvlan stolen from debian

Revision 1.43  2001/05/31 23:27:41  blues
- Licence
- one more macro
- more docs

Revision 1.42  2001/05/31 23:17:13  blues
- 3.0.3
- patch updated
- ipv6 commented out
NOTE: ipv6-patch update needed

Revision 1.41  2001/04/04 22:52:08  blues
- typo

Revision 1.40  2001/04/04 22:15:46  qboosh
- patch to fix sa_len problem
- use %%rpmcflags
- release 3

Revision 1.39  2001/01/25 20:03:25  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.38  2000/12/29 15:35:46  kloczek
- Epoch: 2, release 2 (for allow upgrade from RH version),
- make spec %%{debug} ready.

Revision 1.37  2000/12/28 15:05:21  baggins
- updated to 3.0.2
- updated ipv6 patch
- fixed CFLAGS

Revision 1.36  2000/10/11 19:27:54  kloczek
- release 4: use new rpm automation.

Revision 1.35  2000/07/13 23:16:58  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.34  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.33  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.32  2000/06/07 07:32:37  kloczek
- spec adapterized.

Revision 1.31  2000/06/01 11:41:40  michuz
- release 2
- %%applnkdir changed

Revision 1.30  2000/05/18 16:49:31  misiek
- cleanups && fixes

Revision 1.29  2000/04/07 10:03:41  misiek
- updated

Revision 1.28  2000/04/07 09:55:46  kloczek
- start update to 3.0.1.

Revision 1.27  2000/04/01 11:14:58  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.26  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.25  2000/03/25 10:58:19  alchemyx
- rebuilt with readline 4.1

Revision 1.24  1999/11/19 08:28:22  kloczek
- updated to 3.0beta21 (release 2 - in rawhide is 1),
- build against ncurses 5.0.

Revision 1.23  1999/09/04 09:08:04  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.22  1999/08/19 11:39:49  kloczek
- release 2,
- added desktop file.

Revision 1.21  1999/08/19 11:29:56  kloczek
- cosmetics.

Revision 1.20  1999/07/23 12:46:10  misiek
ipv6 patch

Revision 1.19  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.18  1999/07/18 14:53:24  baggins
- fixed bogus Group: field

Revision 1.17  1999/07/12 23:06:11  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu Jun 24 1999 Michal Margula <alchemyx@pld.org.pl>
  [3.0beta19-1]
- upgraded to beta19
- spec corrected for FHS 2.0
- added BuildPrereq

* Fri Apr 23 1999 Maciej Leśniewski <nimir@kis.p.lodz.pl>
  [3.0beta18-2]
- Gzipped docs
- Removed man group from man pages

* Wed Feb 24 1999 Maciej Leśniewski <nimir@kis.p.lodz.pl>
  [3.0beta18-1]
- new version,
- updated noroot-patch,
- removed strip in %install macro - not needed.

* Mon Jan 04 1999 PLD-team <pld-list@mailbox.tuniv.szczecin.pl>
  [3.0beta16-2d]
- build for Linux PLD.
